org.springframework.data.geo

## Class GeoResult<T>

- java.lang.Object
- - org.springframework.data.geo.GeoResult<T>

All Implemented Interfaces:
  Serializable

    public final class GeoResult<T>
    extends Object
    implements Serializable

Value object capturing some arbitrary object plus a distance.

Since:
  1.8
Author:
  Oliver Gierke, Thomas Darimont
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GeoResult(T content, Distance distance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`T` `getContent()`
`Distance` `getDistance()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeoResult

    public GeoResult(T content,
                     Distance distance)

### Method Detail

#### getContent

    public T getContent()

#### getDistance

    public Distance getDistance()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`